Subject: bug#65720: closed (Re: [bug#66650] bug#65720: Guile-Git-managed checkouts grow way too much)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Nov 2023 16:01:02 +0000

Your bug report

#65720: Guile-Git-managed checkouts grow way too much

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65720: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65720
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66650] bug#65720: Guile-Git-managed checkouts grow way too much
From: Ludovic Courtès <[email-masked]>
To: Simon Tournier <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 22 Nov 2023 17:00:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Simon Tournier <[email-masked]> skribis:

> Somehow I was expressing: my view probably falls into the “Premature
> optimization is the root of all evil” category.  Other said, I have no
> objection and I will revisit the issue when I will be on fire, if I am,
> or annoyed for real.

Alright!

Pushed as b150c546b04c9ebb09de9f2c39789221054f5eea.

Let’s see how it behaves and if there are problems we had overlooked…

Ludo’.

Subject: Guile-Git-managed checkouts grow way too much
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Sun, 03 Sep 2023 22:44:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

As reported by Tobias on IRC (in the context of ‘hpcguix-web’),
checkouts managed by Guile-Git appear to grow beyond reason.  As an
example, here’s the same ‘.git’ managed with Guile-Git and with Git:

--8<---------------cut here---------------start------------->8---
$ du -hs ~/.cache/guix/checkouts/pjmkglp4t7znuugeurpurzikxq3tnlaywmisyr27shj7apsnalwq
6.7G    /home/ludo/.cache/guix/checkouts/pjmkglp4t7znuugeurpurzikxq3tnlaywmisyr27shj7apsnalwq
$ du -hs .git
517M    .git
--8<---------------cut here---------------end--------------->8---

It would seem that libgit2 doesn’t do the equivalent of ‘git gc’.

Ludo’.